# Rename a wallet

POST

/v1/wallet/rename

Rename the underlying wallet to something else

## Authorizations

- **api_key**

## Request Body

The list of MIME types the operation can consume: application/json

APIV1POSTWalletRenameRequest is the request for `POST /v1/wallet/rename`

object

**wallet_id**

string

**wallet_name**

string

**wallet_password**

string

## Responses

### 200

Response to `POST /v1/wallet/rename`

The list of MIME types the operation can produce: application/json

APIV1POSTWalletRenameResponse is the response to `POST /v1/wallet/rename`

object

**error**

boolean

**message**

string

**wallet**

APIV1Wallet is the API’s representation of a wallet

object

**driver_name**

string

**driver_version**

integer format: uint32

**id**

string

**mnemonic_ux**

boolean

**name**

string

**supported_txs**

Array<string>
